/*
 * Class EV_STANDARD_DIALOG
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1097 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1097 [] = {0xFF01,1551,1096,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1097 [] = {0xFF01,1096,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1097 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1097 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1097 [] = {0xFF01,1096,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1097 [] = {0xFF01,1096,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1097 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1097 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1097 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1097 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1097 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1097 [] = {0xFF01,1096,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1097 [] = {0xFF01,1262,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1097 [] = {0xFF01,1141,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1097 [] = {0xFF01,1262,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1097 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1097 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1097 [] = {0xFF01,924,0xFFFF};


static const struct desc_info desc_1097[] = {
	{EIF_GENERIC(NULL), 26263, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1097), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1097), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1097), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24205, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1097), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1097), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1097), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1097), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1097), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1097), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1097), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1097), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1097), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24213, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0891 /*1096*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1097), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24558, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24559, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24560, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24561, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24562, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24563, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24564, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24565, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 24214, 0},
	{EIF_GENERIC(NULL), 24215, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24201, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1097), 26262, 4},
	{EIF_GENERIC(NULL), 24203, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26261, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24204, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24206, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1097), 24207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 24208, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24210, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24211, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24568, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24569, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24570, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24573, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1097), 26262, 4},
	{EIF_GENERIC(egt_16_1097), 4957, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1097), 4958, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26253, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1097), 26254, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x081B /*1037*/), 26255, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0739 /*924*/), 26256, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0737 /*923*/), 26257, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26258, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26259, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26260, 0xFFFFFFFF},
};
void Init1097(void)
{
	IDSC(desc_1097, 0, 1096);
	IDSC(desc_1097 + 1, 1, 1096);
	IDSC(desc_1097 + 32, 1201, 1096);
	IDSC(desc_1097 + 40, 1593, 1096);
	IDSC(desc_1097 + 55, 1240, 1096);
	IDSC(desc_1097 + 61, 854, 1096);
	IDSC(desc_1097 + 64, 838, 1096);
}


#ifdef __cplusplus
}
#endif
